# Uses of Class
org.eclipse.jdt.core.dom.Dimension

Packages that use Dimension
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of Dimension in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return Dimension
Modifier and Type
Method
Description
`Dimension`
AST.`newDimension()`
Creates and returns a new unparented annotatable dimension node (Supported only in JLS8 level).
Methods in org.eclipse.jdt.core.dom with parameters of type Dimension
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(Dimension node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(Dimension node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(Dimension node)`
Visits the given type-specific AST node.